import { Location } from 'vscode-languageserver';
import { CompletionList, Hover, SymbolInformation, DocumentSymbolParams, DocumentHighlight } from 'vscode-languageserver-types';
import { LanguageService, Stylesheet } from 'vscode-css-languageservice';
import { TextDocumentPositionParams } from 'vscode-base-languageclient';
export declare class CssService {
    private activated;
    private activation;
    private openedDocumentUris;
    protected readonly cssService: LanguageService;
    protected readonly pendingValidationRequests: Map<string, number>;
    readonly documents: any;
    constructor();
    onInitialize: () => {
        capabilities: {
            completionProvider: boolean;
            hoverProvider: boolean;
            documentSymbolProvider: boolean;
            referencesProvider: boolean;
            definitionProvider: boolean;
            documentHighlightProvider: boolean;
            renameProvider: boolean;
            colorProvider: boolean;
        };
    };
    onDidOpenTextDocument: (params: any) => Promise<void>;
    onDidChangeTextDocument: (params: any) => Promise<void>;
    onDidCloseTextDocument: (params: any) => Promise<void>;
    onReferences(params: any): Location[];
    onDocumentHighlight(params: any): DocumentHighlight[];
    onDefinition(params: any): Location;
    onDocumentSymbol(params: DocumentSymbolParams): SymbolInformation[];
    onHover(params: TextDocumentPositionParams): Hover | null;
    onCompletion(params: TextDocumentPositionParams): CompletionList | null;
    getCSSDocument(document: any): Stylesheet;
    private getOpenDocument;
}
