import { Feature } from '@common-stack/server-core';
import { preferences } from './preferences';
import { CssService, HtmlService, JsonService } from './services';

const cssService = new CssService();
const htmlService = new HtmlService();
const jsonService = new JsonService();

export default new Feature({
  createPreference: preferences,
  createContextFunc: () => ({ css: cssService, html: htmlService, json: jsonService, jsonc: jsonService, jsonc2: jsonService }),
} as any);
